#############################################################################
#
# LOGREP - Logfile Extraction And Reporting System                          
# Copyright (C) 2002-2003 Tevfik Karaglle                                   
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
#
#############################################################################

#########
# LOGREP - Log reporting system common include file for parsing modules

###############################
# PrepareAttributesForAnalyse : Prepares attributes for logrep analysis. 
#   Transfer to common space and creates global variables for composite
#   types.
#     

sub PrepareAttributesForAnalyse () {

	foreach my $attrval (@dim) {

		$Logrep::Common::{$attrval} = $attrval;

		next if (index ($attrval,".") == -1);

		my @comparr = split /\./, $attrval; 
			
		my $lattrval = "";

		no strict;
		# Only concatenation (.) as a composite operation
		foreach my $compx (@comparr) {	$lattrval .= "$$compx "; };
		
		# A new global variable for composite type
		$$attrval = $lattrval;
		use strict;	
	}
}
